ENTRY (loader)

SECTIONS
{
        . = 0x100000;
        
        .text ALIGN(4096) :
        {
                *(.text*)
                *(.gnu.linkonce.t*)
        }
        
        .rodata ALIGN(4096) :
        {
                startConstructors = .;
                *(.ctor*)
                endConstructors = .;
        
                startDestructors = .;
                *(.dtor*)
                endDestructors = .;
        
                *(.rodata*)
                *(.gnu.linkonce.r*)
        }
        
        .data ALIGN(4096) :
        {
                *(.data*)
                *(.gnu.linkonce.d*)
        }
        
        .bss ALIGN(4096) :
        {
                *(.COMMON*)
                *(.bss*)
                *(.gnu.linkonce.b*)
        }
        
        endkernel = .;
}